<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="/TestResults">
    <HTML>
      <HEAD>
        <TITLE><xsl:value-of select="Version" /> Results Report</TITLE>
      </HEAD>
    <body>
	 <CENTER>
	    <font size="3" face="sans-serif"><strong><xsl:value-of select="Version" /> Results Report</strong></font>
		<p><font size="3" face="sans-serif"><strong><xsl:value-of select="DateTime" /></strong></font></p>
		<p><font size="3" face="sans-serif"><strong><xsl:value-of select="CPU" /></strong></font></p>

        <xsl:for-each select="ResultsSet">
		<table width="600" border="0" cellspacing="0" cellpadding="0" align="center" bgcolor="#FFFFFF">
		<tr><td height="40"></td></tr><tr><td>
   		<p><font size="5" face="sans-serif"><strong><xsl:value-of select="DeviceName" /></strong></font></p>
   		<p><font size="4" face="sans-serif">TestMode: <xsl:value-of select="TestMode" /></font></p>
		<p><font size="3" face="sans-serif">Number of Buffers: <xsl:value-of select="nBuffers" /></font></p>
   		<p><font size="3" face="sans-serif">SampleRate: <xsl:value-of select="SampleRate" />kHz</font></p>		
		<table width="600" border="1" cellspacing="0" cellpadding="3" align="center" bordercolor="#FFFFFF" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" bgcolor="#D7D7D7">		
           <xsl:for-each select="Result">
	         <TR bordercolor="#FFFFFF">
	            <TD>	
                <p><font size="2" face="sans-serif"><xsl:value-of select="Data" /></font></p>
	            </TD>
	         </TR>
             </xsl:for-each>
          </table>		   
		</td></tr>
        </table>
       </xsl:for-each>		
  	  </CENTER>
      </body>
      </HTML>
   </xsl:template>
</xsl:stylesheet>